from common import Material, Feishu
from extract_data.douyin.douyin_author import douyinAuthor
from extract_data.kuaishou.kuaishou_author import kuaishouAuthor

import schedule
import time
import concurrent.futures

# 定义读取表格的函数
def douyin_start(user_data):
    print(f"执行抖音数据抓取{user_data}")
    douyinAuthor.get_videoList(user_data)

def kuaishou_start(user_data):
    print(f"执行快手数据抓取{user_data}")
    kuaishouAuthor.get_kuaishou_videoList(user_data)

data = Material.get_all_user("douyin")
douyin_start(data[5])
data = Material.get_all_user("kuaishou")
kuaishou_start(data[5])

# # 定义定时任务
# def douyin_task():
#     data = Material.get_all_user("douyin")
#     # 创建一个线程池
#     with concurrent.futures.ThreadPoolExecutor() as executor:
#         futures = [executor.submit(douyin_start, user_data) for user_data in data]
#         # 等待所有任务执行完成
#         for future in concurrent.futures.as_completed(futures):
#             # 获取每个任务的执行结果
#             result = future.result()
#             print("处理结果:", result)
#     print("抖音数据抓取定时任务执行完成")
#
#
# # 定义定时任务
# def kuanshou_task():
#     data = Material.get_all_user("kuaishou")
#     # 创建一个线程池
#     with concurrent.futures.ThreadPoolExecutor() as executor:
#         futures = [executor.submit(kuaishou_start, user_data) for user_data in data]
#         # 等待所有任务执行完成
#         for future in concurrent.futures.as_completed(futures):
#             # 获取每个任务的执行结果
#             result = future.result()
#             print("处理结果:", result)
#     print("快手数据抓取定时任务执行完成.")
#
#
# # schedule.every(2).minutes.do(douyin_task)
# #
# # schedule.every(2).minutes.do(kuanshou_task)
# schedule.every(8).hours.do(douyin_task)
#
# schedule.every(8).hours.do(kuanshou_task)
# 
# # 持续运行，直到手动终止
# while True:
#     schedule.run_pending()
#     time.sleep(1)
#
#
